Everything about Voice Delivery Receipt Automations
Get all voice delivery receipt automations
Get all voice delivery receipt automations
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
| page | query | integer(int32) | false | Page number |
| limit | query | integer(int32) | false | Number of records per page |
Refer to Status Codes for definitions of HTTP status code responses.
Successful response
curl --include \ --header "Authorization: Basic YXBpLXVzZXJuYW1lOmFwaS1wYXNzd29yZA==" \ 'https://rest.clicksend.com/v3/automations/voice/receipts'
{- "http_code": 200,
- "response_code": "SUCCESS",
- "response_msg": "Your voice receipts.",
- "data": {
- "total": 2,
- "per_page": 15,
- "current_page": 1,
- "last_page": 1,
- "next_page_url": null,
- "prev_page_url": null,
- "from": 1,
- "to": 2,
- "data": [
- {
- "receipt_rule_id": 2,
- "rule_name": "My Rule 2",
- "match_type": 3,
- "action": "URL",
- "enabled": 1
}
]
}
}Create voice delivery receipt automations
Create voice delivery receipt automations
| Name | Type | Required | Restrictions | Description |
|---|---|---|---|---|
| rule_name | string | true | none | Rule Name. |
| match_type | number | true | none | Match Type. 0=All reports. |
| action | string | true | none | Action to be taken (AUTO_REPLY, EMAIL_USER, EMAIL_FIXED, URL, SMS, POLL, GROUP_SMS, MOVE_CONTACT, CREATE_CONTACT, CREATE_CONTACT_PLUS_EMAIL, CREATE_CONTACT_PLUS_NAME_EMAIL CREATE_CONTACT_PLUS_NAME, SMPP, NONE). |
| action_address | string | true | none | Action address. |
| enabled | number | true | none | Enabled: Disabled=0 or Enabled=1. |
Refer to Status Codes for definitions of HTTP status code responses.
Successful response
{- "rule_name": "test",
- "match_type": 1,
- "action": "URL",
- "enabled": 1
}{- "http_code": 200,
- "response_code": "SUCCESS",
- "response_msg": "Your new voice receipt has been added.",
- "data": {
- "receipt_rule_id": 2,
- "rule_name": "My Rule 2",
- "match_type": 3,
- "action": "URL",
- "enabled": 1
}
}Get specific voice delivery receipt automation
Get specific voice delivery receipt automation
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
| receipt_rule_id | path | integer(int32) | true | Receipt rule id |
Refer to Status Codes for definitions of HTTP status code responses.
Successful response
curl --include \ --header "Authorization: Basic YXBpLXVzZXJuYW1lOmFwaS1wYXNzd29yZA==" \ 'https://rest.clicksend.com/v3/automations/voice/receipts/{receipt_rule_id}'
{- "http_code": 200,
- "response_code": "SUCCESS",
- "response_msg": "Your rule incoming voice receipt.",
- "data": {
- "receipt_rule_id": 2,
- "rule_name": "My Rule 2",
- "match_type": 3,
- "action": "URL",
- "enabled": 1
}
}Update voice delivery receipt automation
Update voice delivery receipt automation
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
| receipt_rule_id | path | integer(int32) | true | Receipt rule id |
| Name | Type | Required | Restrictions | Description |
|---|---|---|---|---|
| rule_name | string | true | none | Rule Name. |
| match_type | number | true | none | Match Type. 0=All reports. |
| action | string | true | none | Action to be taken (AUTO_REPLY, EMAIL_USER, EMAIL_FIXED, URL, SMS, POLL, GROUP_SMS, MOVE_CONTACT, CREATE_CONTACT, CREATE_CONTACT_PLUS_EMAIL, CREATE_CONTACT_PLUS_NAME_EMAIL CREATE_CONTACT_PLUS_NAME, SMPP, NONE). |
| action_address | string | true | none | Action address. |
| enabled | number | true | none | Enabled: Disabled=0 or Enabled=1. |
Refer to Status Codes for definitions of HTTP status code responses.
Successful response
{- "rule_name": "test",
- "match_type": 1,
- "action": "URL",
- "enabled": 1
}{- "http_code": 200,
- "response_code": "SUCCESS",
- "response_msg": "Your rule incoming voice receipt.",
- "data": {
- "receipt_rule_id": 2,
- "rule_name": "My Rule 2",
- "match_type": 3,
- "action": "URL",
- "enabled": 1
}
}Delete voice delivery receipt automation
Delete voice delivery receipt automation
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
| receipt_rule_id | path | integer(int32) | true | Receipt rule id |
Refer to Status Codes for definitions of HTTP status code responses.
Successful response
curl --include \ --header "Authorization: Basic YXBpLXVzZXJuYW1lOmFwaS1wYXNzd29yZA==" \ --request DELETE \ 'https://rest.clicksend.com/v3/automations/voice/receipts/{receipt_rule_id}'
{- "http_code": 200,
- "response_code": "SUCCESS",
- "response_msg": "Your rule voice receipt has been deleted.",
- "data": [ ]
}